##
 # skeleton.mcfunction
 # 
 #
 # Created by .
##
tag @e[type=skeleton,limit=1,tag=unq_mob] remove common
tag @e[type=skeleton,limit=1,tag=unq_mob] remove rare
tag @e[type=skeleton,limit=1,tag=unq_mob] remove legendary
attribute @e[type=skeleton,limit=1,tag=unq_mob] generic.scale base set 1
item replace entity @e[type=skeleton,limit=1,tag=unq_mob] weapon.mainhand with bow
effect clear @e[type=skeleton,limit=1,tag=unq_mob]
tag @e[type=skeleton,limit=1,tag=unq_mob] remove unq_mob
execute if entity @e[type=skeleton,limit=1,predicate=diesse:in_surface] as @e[type=skeleton,limit=1,predicate=diesse:in_surface] run tag @s add unq_mob
execute unless entity @e[type=skeleton,limit=1,predicate=diesse:in_surface] as @e[type=skeleton,limit=1,predicate=!diesse:in_surface] run tag @s add unq_mob
execute if score &bot em.rarity <= &max_common em.rarity run tag @e[tag=unq_mob,type=skeleton,limit=1] add common
execute if score &bot em.rarity > &max_common em.rarity if score &bot em.rarity <= &max_rare em.rarity run tag @e[tag=unq_mob,type=skeleton,limit=1] add rare
execute if score &bot em.rarity > &max_rare em.rarity if score &bot em.rarity <= &max_legendary em.rarity run tag @e[tag=unq_mob,type=skeleton,limit=1] add legendary

execute if score &bot em.enchant matches 0 as @e[tag=unq_mob,type=skeleton,limit=1,tag=common] run item replace entity @s weapon.mainhand with bow[enchantments={levels:{"minecraft:flame":1,"minecraft:punch":1}}] 1
execute if score &bot em.enchant matches 1 as @e[tag=unq_mob,type=skeleton,limit=1,tag=common] run item replace entity @s weapon.mainhand with bow[enchantments={levels:{"minecraft:multishot":1}}] 1
attribute @e[tag=unq_mob,type=skeleton,limit=1,tag=common] generic.scale base set 1.2


execute if score &bot em.enchant matches 0 as @e[tag=unq_mob,type=skeleton,limit=1,tag=rare] run item replace entity @s weapon.mainhand with bow[enchantments={levels:{"minecraft:flame":1,"minecraft:punch":2}}] 1
execute if score &bot em.enchant matches 1 as @e[tag=unq_mob,type=skeleton,limit=1,tag=rare] run item replace entity @s weapon.mainhand with bow[enchantments={levels:{"minecraft:multishot":1,"minecraft:power":2}}] 1
attribute @e[tag=unq_mob,type=skeleton,limit=1,tag=rare] generic.scale base set 1.4


execute if score &bot em.enchant matches 0 as @e[tag=unq_mob,type=skeleton,limit=1,tag=legendary] run item replace entity @s weapon.mainhand with bow[enchantments={levels:{"minecraft:flame":1,"minecraft:punch":4}}] 1
execute if score &bot em.enchant matches 1 as @e[tag=unq_mob,type=skeleton,limit=1,tag=legendary] run item replace entity @s weapon.mainhand with bow[enchantments={levels:{"minecraft:multishot":1,"minecraft:power":4}}] 1
attribute @e[tag=unq_mob,type=skeleton,limit=1,tag=legendary] generic.scale base set 1.6


execute if score &bot em.rarity <= &max_common em.rarity run tellraw @a [{"text":"[ ","color":"gray"},{"text":"Unique Mobs  ","color":"aqua"},{"text":"] ","color":"gray"},{"text":"A  ","color":"green"},{"text":"COMMON","color":"aqua","bold":true},{"text":" skeleton spawned!","color":"green"}]
execute if score &bot em.rarity > &max_common em.rarity if score &bot em.rarity <= &max_rare em.rarity run tellraw @a [{"text":"[ ","color":"gray"},{"text":"Unique Mobs  ","color":"aqua"},{"text":"] ","color":"gray"},{"text":"A  ","color":"green"},{"text":"RARE","color":"dark_green","bold":true},{"text":" skeleton spawned!","color":"green"}]
execute if score &bot em.rarity > &max_rare em.rarity if score &bot em.rarity <= &max_legendary em.rarity run tellraw @a [{"text":"[ ","color":"gray"},{"text":"Unique Mobs  ","color":"aqua"},{"text":"] ","color":"gray"},{"text":"A  ","color":"green"},{"text":"LEGENDARY","color":"gold","bold":true},{"text":" skeleton spawned!","color":"green"}]